summaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-10-26 00:09:10 -0400
committerMike Frysinger <vapier@gentoo.org>2015-10-26 00:15:44 -0400
commitd3fcf50e0abe50480b1676ad861acbbf7220b3a8 (patch)
treee55ddb2c6dc4d3eb7cd5d74ff1e58102eb6d2b04 /sys-fs
parentdev-python/elasticsearch-py: fix to code re IUSE doc, fixes the gentoo bug (diff)
downloadgentoo-d3fcf50e0abe50480b1676ad861acbbf7220b3a8.tar.gz
gentoo-d3fcf50e0abe50480b1676ad861acbbf7220b3a8.tar.bz2
gentoo-d3fcf50e0abe50480b1676ad861acbbf7220b3a8.zip
sys-fs/xfsdump: version bump to 3.1.5 #560358
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/xfsdump/Manifest1
-rw-r--r--sys-fs/xfsdump/files/xfsdump-3.1.5-config-platform.patch26
-rw-r--r--sys-fs/xfsdump/xfsdump-3.1.5.ebuild57
3 files changed, 84 insertions, 0 deletions
diff --git a/sys-fs/xfsdump/Manifest b/sys-fs/xfsdump/Manifest
index bb29e7e1284..a101d138cc9 100644
--- a/sys-fs/xfsdump/Manifest
+++ b/sys-fs/xfsdump/Manifest
@@ -2,3 +2,4 @@ DIST xfsdump-3.0.6.tar.gz 789635 SHA256 d6aa8040f7fe7c4dcb41190b7530c36177b08413
DIST xfsdump-3.1.2.tar.gz 831511 SHA256 dc3065b9aeb00de078b8a54ae3f46c71d43d4c4ad4c69ec77343182e881fa4d8 SHA512 23a295ec17002284852f83583a9a66600f2c94742f9c0372db6193e38a53142f71ab3c46fb6d48f0caa9a2737712e217c9adf798edfbd172403d6c372fc63b02 WHIRLPOOL 4854f65496a47a96b5bd00353e31ae816a3898d5aef314b0e16b148da291acf2b123ae4182c8e4791b992bc83a9d32d40d6874b69920d36953935a473c425bef
DIST xfsdump-3.1.3.tar.gz 826922 SHA256 f02138a5d96e06c506ac8cb6e4fedeb0bf7d7cf8b9747f262d0735b885dbf8fa SHA512 18f5ce7e249b317247012246fd7c5980f62cc46a5718adc80a3137be4f2d7c47edd7d1286e31fbae9c0629a49fc13482308e37950c5122165929088e467865b9 WHIRLPOOL cb80202e16c14ac279ffc698acf1ad3b1fe7365a451d05bba5ec5410b6cdcaf06f7f1986f374130cc40d0a43ccb0eedb2ed433a3e41c6701e9c94c247d821207
DIST xfsdump-3.1.4.tar.gz 848188 SHA256 570eafd0721515bdd79cb0e295b701d49cdf81e71a0a0ff0df6d4c5cc1960943 SHA512 e82885ad6b3f1d81c1cdeff56714b73651e1c74eb4ce71574875ec0bb69b3fe707b40f85f0766b21ba589d13364ecfc0bad657a9b15c428cf821f926c3d66b25 WHIRLPOOL 5677000929f260b391743207a865c7529b788db46806a62c62bb6917025194913609cc804ead23314988f44853abc57f3c86ee22d2bde365697a35b0a7e3b607
+DIST xfsdump-3.1.5.tar.gz 848863 SHA256 2f1fad1754c94163a2401e69fa09ef06f587f780239a131e7ec0a14a3a3959e3 SHA512 107d23e3d1a84aaef0ef4c0f541f37a860ccbef996e0886a6f56f01c7998451210b127289c21ec71e9ef5db7d124d479b41017e9e3d5c2d9c68b2dbbfd316620 WHIRLPOOL ed7d6c11c4354540d8accb8c0d4955fc039bdead3c2f854e609756d14a856b862884adc1dba059ed28fa57ece76c8be3f073b8058c59dbac807a7af9fbbf482d
diff --git a/sys-fs/xfsdump/files/xfsdump-3.1.5-config-platform.patch b/sys-fs/xfsdump/files/xfsdump-3.1.5-config-platform.patch
new file mode 100644
index 00000000000..1c8c855b37b
--- /dev/null
+++ b/sys-fs/xfsdump/files/xfsdump-3.1.5-config-platform.patch
@@ -0,0 +1,26 @@
+a few xfsprogs defs are still used in the code base.
+these are copied from the platform_defs.h.in file.
+
+--- include/config.h.in
++++ include/config.h.in
+@@ -21,4 +21,20 @@
+ #endif
+ #include <locale.h>
+
++#define IRIX_DEV_BITSMAJOR 14
++#define IRIX_DEV_BITSMINOR 18
++#define IRIX_DEV_MAXMAJ 0x1ff
++#define IRIX_DEV_MAXMIN 0x3ffff
++#define IRIX_DEV_MAJOR(dev) ((int)(((unsigned)(dev) >> IRIX_DEV_BITSMINOR) \
++ & IRIX_DEV_MAXMAJ))
++#define IRIX_DEV_MINOR(dev) ((int)((dev) & IRIX_DEV_MAXMIN))
++#define IRIX_MKDEV(major,minor) ((xfs_dev_t)(((major) << IRIX_DEV_BITSMINOR) \
++ | (minor&IRIX_DEV_MAXMIN)))
++#define IRIX_DEV_TO_KDEVT(dev) makedev(IRIX_DEV_MAJOR(dev),IRIX_DEV_MINOR(dev))
++
++#ifndef min
++#define min(a,b) (((a)<(b))?(a):(b))
++#define max(a,b) (((a)>(b))?(a):(b))
++#endif
++
+ #endif /* __CONFIG_H__ */
diff --git a/sys-fs/xfsdump/xfsdump-3.1.5.ebuild b/sys-fs/xfsdump/xfsdump-3.1.5.ebuild
new file mode 100644
index 00000000000..b64e028716d
--- /dev/null
+++ b/sys-fs/xfsdump/xfsdump-3.1.5.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit multilib eutils
+
+DESCRIPTION="xfs dump/restore utilities"
+HOMEPAGE="http://oss.sgi.com/projects/xfs"
+SRC_URI="ftp://oss.sgi.com/projects/xfs/cmd_tars/${P}.tar.gz
+ ftp://oss.sgi.com/projects/xfs/previous/cmd_tars/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE=""
+
+RDEPEND="sys-fs/e2fsprogs
+ >=sys-fs/xfsprogs-3.2.0
+ sys-apps/dmapi
+ >=sys-apps/attr-2.4.19"
+DEPEND="${RDEPEND}
+ sys-devel/gettext"
+
+src_prepare() {
+ sed -i \
+ -e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+ include/builddefs.in \
+ || die
+ epatch "${FILESDIR}"/${PN}-3.0.5-prompt-overflow.patch #335115
+ epatch "${FILESDIR}"/${PN}-3.0.4-no-symlink.patch #311881
+
+ # The release when used with xfsprogs-4.2+ is ... a mess.
+ epatch "${FILESDIR}"/${P}-config-platform.patch
+ find -type f -name '*.c' -exec sed -i \
+ -e '1i#include "config.h"' \
+ -e '1i#include <assert.h>' \
+ -e '1i#include <fcntl.h>' \
+ -e '1i#include <stdarg.h>' \
+ -e '1i#include <stdlib.h>' \
+ -e '1i#include <string.h>' \
+ -e '1i#include <unistd.h>' \
+ -e '1i#include <sys/wait.h>' \
+ {} + || die
+}
+
+src_configure() {
+ unset PLATFORM #184564
+ export OPTIMIZER=${CFLAGS}
+ export DEBUG=-DNDEBUG
+
+ econf \
+ --libdir="${EPREFIX}/$(get_libdir)" \
+ --libexecdir="${EPREFIX}/usr/$(get_libdir)" \
+ --sbindir="${EPREFIX}/sbin"
+}